package producerconsumer;

// This program demonstrates a solution to the producer consumer
// problem using threads, a global shared circular buffer, and
// MONITORs as the synchronization mechanism.
//
// Consider a "producer" process which is responsible for gathering
// data about up to the minute stock prices at the stock market.
//
// Consider a "consumer" process which gets the stock prices
// from the "producer"
//
// The original problem was taken from "Operating System Concepts:
// 6th Edition By Silbershatz, Galvin, Gagne
//


public class Main {
  public static void main(String[] args) {
    Monitor  m = new Monitor();
    Producer p = new Producer(m);
    Consumer c = new Consumer(m);

    p.start();
    c.start();

  }
}